import { Observable } from 'rxjs';
export declare class ExcTranslation {
    translateService: any;
    currentLang(): string | null;
    onLangChange(): Observable<string>;
    getRessource(name: string, param?: any): any;
    getResource(name: string, param?: any, reroutelist?: string[]): any;
    getGlobal(name: string, param?: any, reroutelist?: string[]): any;
    getTranslation(name: string, param?: any): any;
}
export declare class ExcCoreModule {
    static Array: any;
    static Guid: any;
    static Object: any;
    static String: any;
    private static _events;
    private static _unload;
    private static _services;
    private static _config;
    private static lastToastId;
    static on(name: string, callback: any): () => void;
    static call(name: string, ...args: any[]): void;
    private static lastToastRemove;
    static showToast(message: string, classname: string, icon?: string | undefined): void;
    static showToastCommit(message: string, classname: string, commitText: string, commitCallbackFn?: (() => void) | undefined, icon?: string | undefined): void;
    static showInfo(message: string, title?: string): void;
    static showSuccess(message: string, title?: string): void;
    static showWarning(message: string, title?: string): void;
    static showError(message: string, title?: string): void;
    /**
     * Open a Modal Window
     * @param content Text or component to be shown in modal window
     * @param header Text to be shown in modal header
     * @param size Size of the modal window ('xs','s','m','l','xl')
     * @param data Data to be passed to modal window in case of component use
     * @param closeViaOverlay true|false (default:false) close modal per outbound click
     * @param footerButtons array of button declaration to be shown in footer button-format({text, class, onClick()})
     */
    static showModal(content: any, header?: string, size?: string, data?: any, closeViaOverlay?: boolean, footerButtons?: any[] | boolean): Observable<any>;
    static Services(): any;
    static Config(): any;
    static RegisterService(key: string, value: any): void;
    static RegisterConfig(key: string, value: any): void;
    private static s4;
}
//# sourceMappingURL=exc-core-v2.module.d.ts.map