(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('rxjs')) :
    typeof define === 'function' && define.amd ? define('exc-core-v2', ['exports', '@angular/core', 'rxjs'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['exc-core-v2'] = {}, global.ng.core, global.rxjs));
}(this, (function (exports, core, rxjs) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    // noinspection JSUnusedGlobalSymbols
    var ExcTranslation = /** @class */ (function () {
        function ExcTranslation() {
            this.translateService = ExcCoreModule.Services().TranslateService;
        }
        ExcTranslation.prototype.currentLang = function () {
            if (this.translateService) {
                return this.translateService.language;
            }
            return null;
        };
        ExcTranslation.prototype.onLangChange = function () {
            if (this.translateService) {
                return this.translateService.onLangChange;
            }
            return rxjs.of();
        };
        // noinspection SpellCheckingInspection
        ExcTranslation.prototype.getRessource = function (name, param) {
            return this.getResource(name, param);
        };
        ExcTranslation.prototype.getResource = function (name, param, reroutelist) {
            if (this.translateService) {
                var rtVal = (this.translateService.get(this.constructor.name + '.' + name, param)).value;
                if (typeof rtVal === typeof '') {
                    if (rtVal.indexOf('$$Translation$$') === 0) {
                        rtVal = this.getTranslation(rtVal.replace('$$Translation$$', ''), param);
                    }
                    else if (rtVal.indexOf('$$Global$$') === 0) {
                        rtVal = this.getGlobal(rtVal.replace('$$Global$$', ''), param);
                    }
                }
                return rtVal;
            }
            return 'NoService' + this.constructor.name + '.' + name;
        };
        ExcTranslation.prototype.getGlobal = function (name, param, reroutelist) {
            if (this.translateService) {
                var rtVal = (this.translateService.get('Globals.' + name, param)).value;
                if (rtVal === '$$Global$$' + name) {
                    return rtVal.replace('$$Global$$', 'Globals.');
                }
                if (typeof rtVal === typeof '') {
                    if (rtVal.indexOf('$$Translation$$') === 0) {
                        rtVal = this.getTranslation(rtVal.replace('$$Translation$$', ''), param);
                    }
                    else if (rtVal.indexOf('$$Global$$') === 0) {
                        rtVal = this.getGlobal(rtVal.replace('$$Global$$', ''), param);
                    }
                }
                return rtVal;
            }
            return 'NoService' + 'Globals.' + name;
        };
        ExcTranslation.prototype.getTranslation = function (name, param) {
            if (this.translateService) {
                var rtVal = (this.translateService.get(name, param)).value;
                if (rtVal === '$$Translation$$' + name) {
                    return rtVal.replace('$$Translation$$', '');
                }
                if (typeof rtVal === typeof '') {
                    if (rtVal.indexOf('$$Translation$$') === 0) {
                        rtVal = this.getTranslation(rtVal.replace('$$Translation$$', ''), param);
                    }
                    else if (rtVal.indexOf('$$Global$$') === 0) {
                        rtVal = this.getGlobal(rtVal.replace('$$Global$$', ''), param);
                    }
                }
                return rtVal;
            }
            return 'NoService' + name;
        };
        return ExcTranslation;
    }());
    // noinspection JSUnusedGlobalSymbols
    var ExcCoreModule = /** @class */ (function () {
        function ExcCoreModule() {
        }
        ExcCoreModule.on = function (name, callback) {
            if (ExcCoreModule._events[name] == null) {
                ExcCoreModule._events[name] = [];
                ExcCoreModule._unload[name] = [];
            }
            ExcCoreModule._events[name].push(callback);
            var unloadFunc = function () {
                var index = ExcCoreModule._events[name].indexOf(callback);
                ExcCoreModule._events[name].splice(index, 1);
                ExcCoreModule._unload[name].splice(index, 1);
            };
            ExcCoreModule._unload[name].push(unloadFunc);
            return unloadFunc;
        };
        ExcCoreModule.call = function (name) {
            var args = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                args[_i - 1] = arguments[_i];
            }
            var data = args;
            if (ExcCoreModule._events[name] == null) {
                return;
            }
            for (var i = 0; i < ExcCoreModule._events[name].length; i++) {
                var _c = ExcCoreModule._events[name].length;
                ExcCoreModule._events[name][i].apply(ExcCoreModule._unload[name][i], data);
                if (_c > ExcCoreModule._events[name].length) {
                    i--;
                }
            }
        };
        ExcCoreModule.lastToastRemove = function (newID) {
            if (ExcCoreModule.lastToastId) {
                var el = document.getElementById("exc-tst-" + ExcCoreModule.lastToastId);
                if (el) {
                    el.remove();
                }
            }
            ExcCoreModule.lastToastId = newID;
        };
        ExcCoreModule.showToast = function (message, classname, icon) {
            var id = ExcCoreModule.Guid.NewGuid();
            ExcCoreModule.lastToastRemove(id);
            var html = "<div class=\"" + classname + " animate\" id=\"exc-tst-" + id + "\"><i class=\"" + icon + "\"></i>" + message + "</div>";
            document.body.insertAdjacentHTML('afterbegin', html);
            var el = document.getElementById("exc-tst-" + id);
            if (el === null) {
                return;
            }
            setTimeout(function () {
                el.remove();
            }, 1500);
        };
        ExcCoreModule.showToastCommit = function (message, classname, commitText, commitCallbackFn, icon) {
            var id = ExcCoreModule.Guid.NewGuid();
            ExcCoreModule.lastToastRemove(id);
            var html = "<div class=\"" + classname + "\" id=\"exc-tst-" + id + "\">\n                  <i class=\"" + icon + "\"></i>" + message + "\n                    <button id=\"exc-tst-" + id + "-btn\">" + commitText + "</button>\n                  </div>";
            document.body.insertAdjacentHTML('afterbegin', html);
            var el = document.getElementById("exc-tst-" + id);
            var elBtn = document.getElementById("exc-tst-" + id + "-btn");
            if (el === null || elBtn === null) {
                return;
            }
            var evLstnr = function () {
                if (commitCallbackFn) {
                    commitCallbackFn();
                }
                elBtn.removeEventListener('click', evLstnr);
                el.remove();
            };
            elBtn.addEventListener('click', evLstnr);
        };
        ExcCoreModule.showInfo = function (message, title) {
            ExcCoreModule.showToast(message, 'md-toast', undefined);
        };
        ExcCoreModule.showSuccess = function (message, title) {
            ExcCoreModule.showToast(message, 'md-toast', undefined);
        };
        ExcCoreModule.showWarning = function (message, title) {
            ExcCoreModule.showToast(message, 'md-toast', undefined);
        };
        ExcCoreModule.showError = function (message, title) {
            ExcCoreModule.showToastCommit(message, 'md-toast', 'OK', undefined, undefined);
        };
        /**
         * Open a Modal Window
         * @param content Text or component to be shown in modal window
         * @param header Text to be shown in modal header
         * @param size Size of the modal window ('xs','s','m','l','xl')
         * @param data Data to be passed to modal window in case of component use
         * @param closeViaOverlay true|false (default:false) close modal per outbound click
         * @param footerButtons array of button declaration to be shown in footer button-format({text, class, onClick()})
         */
        ExcCoreModule.showModal = function (content, header, size, data, closeViaOverlay, footerButtons) {
            if (closeViaOverlay === void 0) { closeViaOverlay = false; }
            var excTranslation = new ExcTranslation();
            return new rxjs.Observable(function (obs) {
                var config = {
                    settings: {
                        size: size || 's',
                        header: (typeof (header) === 'string'),
                        resources: {
                            headerText: header
                        },
                        closableViaOverlay: closeViaOverlay,
                        onClose: function (result) {
                            obs.next(result || false);
                        }
                    },
                    // tslint:disable-next-line:object-literal-shorthand
                    data: data
                };
                if (typeof (content) === 'function') {
                    config.settings.footer = false;
                    config.settings.templateButtons = false;
                    if (Array.isArray(footerButtons)) {
                        config.settings.footer = true;
                        config.settings.footerButtons = footerButtons;
                    }
                    if (footerButtons === true) {
                        config.settings.footer = true;
                        config.settings.templateButtons = true;
                        config.settings.footerButtons = undefined;
                    }
                }
                else {
                    config.settings.footer = true;
                    if (footerButtons) {
                        config.settings.footerButtons = footerButtons;
                    }
                    else {
                        config.settings.footerButtons = [
                            {
                                text: excTranslation.getGlobal('No'),
                                class: 'md-btn',
                                onClick: function (overlay) {
                                    overlay.close(false);
                                }
                            }, {
                                text: excTranslation.getGlobal('Yes'),
                                class: 'md-btn-solid',
                                onClick: function (overlay) {
                                    overlay.close(true);
                                }
                            }
                        ];
                    }
                }
                ExcCoreModule.call('eOS.showModal', content, config);
            });
        };
        ExcCoreModule.Services = function () {
            return ExcCoreModule._services;
        };
        ExcCoreModule.Config = function () {
            return ExcCoreModule._config;
        };
        ExcCoreModule.RegisterService = function (key, value) {
            var _com = value;
            Object.defineProperty(ExcCoreModule._services, key, {
                get: function () {
                    return _com;
                },
                configurable: true
            });
        };
        ExcCoreModule.RegisterConfig = function (key, value) {
            var _com = value;
            Object.defineProperty(ExcCoreModule._config, key, {
                get: function () {
                    return _com;
                },
                configurable: true
            });
        };
        ExcCoreModule.s4 = function () {
            return Math.floor((1 + Math.random()) * 0x10000)
                .toString(16)
                .substring(1)
                .toUpperCase();
        };
        return ExcCoreModule;
    }());
    // Helper functions
    ExcCoreModule.Array = {
        Get: function (arr, value) {
            return arr.find(function (e) { return e === value; });
        },
        GetIndex: function (arr, value) {
            return arr.findIndex(function (e) { return e === value; });
        },
        GetObject: function (arr, key, value) {
            return arr.find(function (e) { return e[key] === value; });
        },
        GetObjectIndex: function (arr, key, value) {
            return arr.findIndex(function (e) { return e[key] === value; });
        },
        GetAll: function (arr, key, value) {
            return arr.filter(function (e) { return e[key] === value; });
        },
        Remove: function (arr, value) {
            arr.splice(arr.findIndex(function (e) { return e === value; }), 1);
            return arr;
        },
        RemoveAll: function (arr, value) {
            for (var index = arr.findIndex(function (e) { return e === value; }); index !== -1; index = arr.findIndex(function (e) { return e === value; })) {
                arr.splice(index, 1);
            }
            return arr;
        },
        RemoveObject: function (arr, key, value) {
            arr.splice(arr.findIndex(function (e) { return e[key] === value; }), 1);
            return arr;
        },
        RemoveObjectAll: function (arr, key, value) {
            for (var index = arr.findIndex(function (e) { return e[key] === value; }); index !== -1; index = arr.findIndex(function (e) { return e[key] === value; })) {
                arr.splice(index, 1);
            }
            return arr;
        },
        Add: function (arr, value) {
            arr.push(value);
            return arr;
        },
        Merge: function (arr, value) {
            var e_1, _a;
            if (!value || value.length === 0) {
                return arr;
            }
            try {
                for (var value_1 = __values(value), value_1_1 = value_1.next(); !value_1_1.done; value_1_1 = value_1.next()) {
                    var item = value_1_1.value;
                    arr.push(item);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (value_1_1 && !value_1_1.done && (_a = value_1.return)) _a.call(value_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            /*for (let i = 0; i < value.length; i++) {
              arr.push(value[i]);
            }*/
            return arr;
        },
        Exists: function (arr, value) {
            return arr.findIndex(function (e) { return e === value; }) >= 0;
        },
        ExistsObject: function (arr, key, value) {
            return arr.findIndex(function (e) { return e[key] === value; }) >= 0;
        },
        Distinct: function (arr) {
            return arr.filter(function (obj, i, arr2) { return arr2.findIndex(function (t) { return t === obj; }) === i; });
        },
        DistinctObject: function (arr, key) {
            return arr.filter(function (obj, i, arr2) { return arr2.findIndex(function (t) { return t[key] === obj[key]; }) === i; });
        }
    };
    ExcCoreModule.Guid = {
        NewGuid: function () {
            return ExcCoreModule.s4() + ExcCoreModule.s4() + '-' + ExcCoreModule.s4() + '-' + ExcCoreModule.s4() + '-' +
                ExcCoreModule.s4() + '-' + ExcCoreModule.s4() + ExcCoreModule.s4() + ExcCoreModule.s4();
        }
    };
    ExcCoreModule.Object = {
        Replace: function (destination, source) {
            for (var property in source) {
                if (source.hasOwnProperty(property)) {
                    if (destination.hasOwnProperty(property)) {
                        destination[property] = source[property];
                    }
                }
            }
        },
        Merge: function (destination) {
            var source = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                source[_i - 1] = arguments[_i];
            }
            // tslint:disable-next-line:prefer-for-of
            for (var i = 0; i < source.length; i++) {
                var object = source[i];
                for (var property in object) {
                    if (object.hasOwnProperty(property)) {
                        destination[property] = object[property];
                    }
                }
            }
        },
        DeepMerge: function (destination) {
            var e_2, _a;
            var source = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                source[_i - 1] = arguments[_i];
            }
            // tslint:disable-next-line:prefer-for-of
            for (var i = 0; i < source.length; i++) {
                var sourceItem = source[i];
                for (var sourceItemProperty in sourceItem) {
                    if (sourceItem.hasOwnProperty(sourceItemProperty)) {
                        if (destination[sourceItemProperty] === undefined) {
                            destination[sourceItemProperty] = sourceItem[sourceItemProperty];
                        }
                        else if (destination[sourceItemProperty] instanceof Array && sourceItem[sourceItemProperty] instanceof Array) {
                            try {
                                for (var _b = (e_2 = void 0, __values(sourceItem[sourceItemProperty])), _d = _b.next(); !_d.done; _d = _b.next()) {
                                    var arrayItem = _d.value;
                                    this.DeepMerge(destination[sourceItemProperty], sourceItem[sourceItemProperty]);
                                }
                            }
                            catch (e_2_1) { e_2 = { error: e_2_1 }; }
                            finally {
                                try {
                                    if (_d && !_d.done && (_a = _b.return)) _a.call(_b);
                                }
                                finally { if (e_2) throw e_2.error; }
                            }
                        }
                        else if (typeof destination[sourceItemProperty] === typeof {} && typeof sourceItem[sourceItemProperty] === typeof {}) {
                            this.DeepMerge(destination[sourceItemProperty], sourceItem[sourceItemProperty]);
                        }
                        else {
                            destination[sourceItemProperty] = sourceItem[sourceItemProperty];
                        }
                    }
                }
            }
        }
    };
    ExcCoreModule.String = {
        Format: function (text) {
            var args = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                args[_i - 1] = arguments[_i];
            }
            return text.replace(/{(\d+)}/g, function (match, num) {
                return typeof args[Number(num)] !== 'undefined'
                    ? args[Number(num)]
                    : match;
            });
        },
        Reverse: function (text) {
            var newString = '';
            for (var s = 0; s < text.length; s++) {
                newString = text.charAt(s) + newString;
            }
            return newString;
        }
    };
    ExcCoreModule._events = {};
    ExcCoreModule._unload = {};
    ExcCoreModule._services = {};
    ExcCoreModule._config = {};
    ExcCoreModule.lastToastId = null;
    ExcCoreModule.decorators = [
        { type: core.NgModule, args: [{
                    declarations: [],
                    imports: [],
                    exports: []
                },] }
    ];

    /*
     * Public API Surface of exc-core-v2
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.ExcCoreModule = ExcCoreModule;
    exports.ExcTranslation = ExcTranslation;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=exc-core-v2.umd.js.map
